### Method

# FwupdPlugin BluezDevice write_acquire

since: 2.0.0

#### Declaration [src]

    FuIOChannel*
    fu_bluez_device_write_acquire (
      FuBluezDevice* self,
      const gchar* uuid,
      gint32* mtu,
      GError** error
    )

#### Description [src]

Acquire notifications for property changes in a UUID (AcquireNotify method). Closing IO channel releases the notify.

Available since: 2.0.0

#### Parameters

`uuid`

  Type: `const gchar*`

  The UUID, e.g. `00cde35c-7062-11eb-9439-0242ac130002`

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`mtu`

  Type: `gint32*`

  MTU of the channel.

  The argument will be set by the function.
  The argument can be `NULL`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `FuIOChannel`

A `FuIOChannel` or `NULL` on error.

The caller of the method takes ownership of the data, and is responsible for freeing it.